import os
from dotenv import load_dotenv

def load_config():
    load_dotenv()
    return {
        "REDIS_HOST": os.getenv("REDIS_HOST", "localhost"),
        "REDIS_PORT": int(os.getenv("REDIS_PORT", "6379")),
        "WHISPER_MODEL": os.getenv("WHISPER_MODEL", "dvislobokov/whisper-large-v3-turbo-russian"),
        "DEVICE": os.getenv("DEVICE", "cuda"),
        "AUDIO_TASK_CHANNEL": os.getenv("AUDIO_TASK_CHANNEL", "audio_tasks"),
        "TEXT_RESULT_CHANNEL": os.getenv("TEXT_RESULT_CHANNEL", "text_result_channel"),
        "TEXT_TASK_CHANNEL": os.getenv("TEXT_TASK_CHANNEL", "text_task_channel"),
        "BATCH_SIZE": int(os.getenv("BATCH_SIZE", "4")),
        "WAIT_TIMEOUT": int(os.getenv("WAIT_TIMEOUT", "1")),
        "OLLAMA_URL": os.getenv("OLLAMA_URL", "http://ollama:11434/api/generate/"),
    }
